# detr

polynomial determinant

## Calling Sequence

    d=detr(h)

## Arguments

h

  double or polynomial or rational square matrix

## Description

`d=detr(h)` returns the determinant `d` of the double or polynomial or rational function matrix `h`. Based on Leverrier's algorithm.

## Examples

    // Matrix of doubles
    A = rand(5,5);
    detr(A)

    A = A+%i;
    detr(A)

    // Matrix of polynomials
    x = poly(0, 'x')
    A = [1+x 2 5; 3 4-x 3+x; x^2 1 x];
    detr(A)

    // Matrix of rationals
    A = [1/x 2 3; 3 4/x 3/x; 1/x^2 1 1/x];
    detr(A)

## See Also

- det
- determ